#397 [mod_muc] provide default_history_messages

Reporter dittler@informatik.hu-berlin.de
Owner MattJ
Created
Updated
Stars ★★★★ (5)  
Tags
  • Milestone-0.9
  • Type-Enhancement
  • Status-Accepted
  1. dittler@informatik.hu-berlin.de on

    *Description of feature:* Please provide the possibility to mimic the behaviour of ejabberd and provide an option how many history messages a server should send, when joining a MUC. With client which don't implement XEP-0045 properly (f.e. Pidgin/libpurple) this is really valuable.

  2. dittler@informatik.hu-berlin.de on

    I implemented it myself. With "default_history_messages = 20" everything will stay the same, otherwise it will send default_history_messages to clients, which don't request a specific number. Can we push this into the module?

    Attachments
  3. dittler@informatik.hu-berlin.de on

    i made a better patch that is configurable per room

    Attachments
  4. MattJ on

    Changes
    • owner MattJ
    • tags Status-Accepted
  5. MattJ on

    Hi, thanks for the patches! Both look good. Do you need the functionality of the second one? (per-room configuration). If not, I lean towards merging the simpler smaller one, I don't currently see a case where you would strongly want this to be per-room.

    Changes
    • tags Type-Enhancement Milestone-0.9
  6. dittler@informatik.hu-berlin.de on

    Hey Matthew, I have no specific need for patch #2. It was a suggestion by Zash. #1 is fine with me.

  7. dittler@informatik.hu-berlin.de on

    Why didn't it make this patch into 0.9.5 or 0.9.6? I'm waiting desperately.

  8. dittler on

    I use the moving of the issue tracker to point out, that there are still two unmerged patches in this issue.

  9. C. Schanck on

    Really, really waiting on this. Any news?

  10. MattJ on

    Sorry, for some reason I thought this was in already. We're working on a new release shortly, will take a look at it.

  11. Mykhailo Danylenko on

    Inclusion into the upstream will be appreciated - I need this feature too. Thanks in advance!

  12. Mykhailo Danylenko on

    Hey! 0.9.9 and 0.9.10 had come out, but this is still not in the upstream! Bumping.

  13. akosiaris on

    Bumping as well. Please include this patch. I had to locally patch my prosody install everytime I upgrade

New comment